Subject: Re: Using Cygwin 1 with Mumit's JNI examples -Reply
From: Alan Griffiths <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 03 Dec 1999 16:32:05 +0000

That route seems blocked - I'm behind a corporate firewall that refuses to
connect me to the ftp server with a "530 Login incorrect" (I've not
supplied any login - I don't have one).

For the time being I'm going to give up - it would have been nice to get it
to work, but it isn't essential ATM.

>>> Mumit Khan <[email-masked]> 3/December/1999
03:28pm >>>
Alan Griffiths <[email-masked]> writes:
> I'm using the Cywin 1.0 CD and have downloaded Mumit's JNI
examples,
> but I can't get them to work!

Loading Cygwin DLL from noncygwin apps (such as Java JNI) is broken
in Cygwin v1.0 CD version.

Your best bet is to pick a recent development snapshot and see if
that works. We can take it from there.

The root cause of the breakage is in winsup/entry.cc, where there
is a block in dll_entry() that looks like this:
  
  case DLL_PROCESS_ATTACH:
    if (! static_load)
      {
	/* ... */
      }
    break;

The code between the `if' block screws up dynamic loading of Cygwin
DLL
from noncygwin apps.

Regards,
Mumit

--
Want to unsubscribe from this list?
Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]